LXD(-)

Auto generated by spf13/cobra

NAME

lxc-exec - Execute commands in containers

SYNOPSIS

lxc exec [:] [flags] [--]

DESCRIPTION

Description:
  Execute commands in containers

The command is executed directly using exec, so there is no shell and
  shell patterns (variables, file redirects, ...) won't be understood.
  If you need a shell environment you need to execute the shell
  executable, passing the shell commands as arguments, for example:

    lxc exec <container> -- sh -c "cd /tmp  pwd"

Mode defaults to non-interactive, interactive mode is selected if both stdin AND stdout are terminals (stderr is ignored).

OPTIONS

-n, --disable-stdin[=false]
    Disable stdin (reads from /dev/null)

--env=[]
    Environment variable to set (e.g. HOME=/home/foo)``

-t, --force-interactive[=false]
    Force pseudo-terminal allocation

-T, --force-noninteractive[=false]
    Disable pseudo-terminal allocation

--mode="auto"
    Override the terminal mode (auto, interactive or non-interactive)``

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO

lxc(1)

HISTORY

24-Mar-2022 Auto generated by spf13/cobra